# idxonly_index.c File Reference

## Detailed Description

Contains the dummy functions that are used when only an index is used for lookups and the original database is gone.

`#include "hashdb_tools_i.h"`

## Defines

#define | STR_EMPTY ""

## Functions

uint8_t | idxonly_makeindex (TSK_HDB_INFO *hdb_info, TSK_TCHAR *dbtype)
| This function should process the database to create a sorted index of it, but in this case we do not have a database, so just make an error.
uint8_t | idxonly_getentry (TSK_HDB_INFO *hdb_info, char *hash, OFF_T offset, TSK_HDB_FLAG_ENUM flags, TSK_HDB_LOOKUP_FN action, void *cb_ptr)
| This function should find the corresponding name at a given offset.

## Function Documentation

uint8_t idxonly_getentry | ( | TSK_HDB_INFO * | hdb_info,
|  | char * | hash,
|  | OFF_T | offset,
|  | TSK_HDB_FLAG_ENUM | flags,
|  | TSK_HDB_LOOKUP_FN | action,
|  | void * | cb_ptr
| ) |

This function should find the corresponding name at a given offset.

In this case though, we do not have the original database, so just make an error...

Parameters:

  | hdb_info | Hash database to get data from
  | hash | MD5 hash value that was searched for
  | offset | Byte offset where hash value should be located in db_file
  | flags | (not used)
  | action | Callback used for each entry found in lookup
  | cb_ptr | Pointer to data passed to callback

Returns:
  1 on error and 0 on succuss

uint8_t idxonly_makeindex | ( | TSK_HDB_INFO * | hdb_info,
|  | TSK_TCHAR * | dbtype
| ) |

This function should process the database to create a sorted index of it, but in this case we do not have a database, so just make an error.

..

Parameters:

  | hdb_info | Hash database to make index of.
  | dbtype | Type of hash database

Returns:
  1 on error and 0 on success.